id: akuiteo-panel

info:
  name: Akuiteo Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Akuiteo products was detected.
  reference:
    - https://www.akuiteo.com/en/
  metadata:
    verified: true
    max-request: 1
    shodan-query: title:"Akuiteo"
  tags: panel,akuiteo,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"
      - "{{BaseURL}}/akuiteo.collabs/login/login.html"
      - "{{BaseURL}}/akuiteo/login.html/"

    redirects: true
    max-redirects: 2

    stop-at-first-match: true
    matchers:
      - type: dsl
        dsl:
          - 'contains_any(to_lower(body), "akuiteo collabs</title>", "akuiteo mobile</title>", "akuiteo</title>", "<title>[akuiteo]")'
        condition: and

    extractors:
      - type: regex
        part: header
        group: 1
        regex:
          - '(?i)x-akuiteo-masterhash:\s+([0-9a-f]+)'
# digest: 4a0a0047304502200759fa2355ff6a6df8df1afe4cb56a3429f0bc0c97c9f60bebdfa2a5f1ff552e022100cfa32f1616cf9c0547f7fe97d326fe821624d0036de5090795c5a3cfb4f841c0:922c64590222798bb761d5b6d8e72950